Summary:	Mercurial authentication and authorization tools
Name:		mercurial-server
Version:	1.3
Release:	%mkrel 1
Source0:	http://dev.lshift.net/paul/%{name}/%{name}_%{version}.tar.gz
License:	GPLv2
Group:		Development/Other
Url:		http://www.lshift.net/mercurial-server.html
BuildArch:	noarch
Requires:	mercurial, openssh-server
BuildRequires:	xsltproc, docbook-style-xsl

%description
mercurial-server gives your developers remote read/write access to centralized
Mercurial repositories using SSH public key authentication; it provides
convenient and fine-grained key management and access control. 


%prep
%setup -q

%install
%__install -d -m 755 %{buildroot}%{_sysconfdir}/mercurial-server/keys/root
%__install -d -m 755 %{buildroot}%{_sysconfdir}/mercurial-server/keys/users
%__install -m 644 src/init/conf/access.conf %{buildroot}%{_sysconfdir}/mercurial-server/

%__install -d -m 755 %{buildroot}%{_sysconfdir}/remote-hgrc.d
%__install -m 644 src/init/conf/remote-hgrc.d/* %{buildroot}%{_sysconfdir}/remote-hgrc.d

PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --install-scripts=%{_datadir}/%{name} --install-data=%{_datadir}/%{name} --record=FILE_LIST

%__install -m 755 -d %{buildroot}/var/hg

pushd doc
xsltproc --nonet -o ../manual.html /usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl manual.docbook
popd

%pre
# Need to run usermod -U twice to unlock created account:
if ! getent passwd hg 2>&1 > /dev/null; then \
   /usr/sbin/useradd -r -m -d /var/hg -s /usr/bin/bash -c "Mercurial repository server user" hg && \
   /usr/sbin/usermod -U hg && /usr/sbin/usermod -U hg
fi

%post
# .mercurial-server needs to be in the hg user directory:
[ ! -e ~hg/.mercurial-server ] && /usr/bin/su hg -c "install -m 600 /usr/share/mercurial-server/init/dot-mercurial-server ~hg/.mercurial-server" 

[ -d /var/hg ] && [ ! -d /var/hg/repos ] && \
chown -R hg:hg /var/hg && \
/bin/su hg -c "/usr/share/mercurial-server/init/hginit /usr/share/mercurial-server" 

cat <<EOF
-------------------------------------------------------------------------------
Place the SSH public key(s) of the user(s) who require access to the repository
in the directory /etc/mercurial-server/keys/root and run 
/usr/share/mercurial-server/refresh-auth while logged in as the user hg.
-------------------------------------------------------------------------------
EOF

%postun
/usr/sbin/userdel -r hg

%files -f FILE_LIST
%doc CREDITS LICENSE NEWS README manual.html
%config(noreplace) %{_sysconfdir}/mercurial-server/
%{_sysconfdir}/mercurial-server/access.conf
%{_sysconfdir}/remote-hgrc.d/access.rc
%{_sysconfdir}/remote-hgrc.d/logging.rc
/var/hg


%changelog

* Sun Feb 03 2013 kamil <kamil> 1.3-1.mga3
+ Revision: 394211
- new version 1.3
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.2-5.mga3
+ Revision: 359971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 lebedov <lebedov> 1.2-4.mga2
+ Revision: 232166
- Move installation of dot-mercurial-server from pre to post install.

* Wed Apr 18 2012 lebedov <lebedov> 1.2-3.mga2
+ Revision: 231453
- Fix path to dot-mercurial-server (#3770)

* Thu Mar 15 2012 lebedov <lebedov> 1.2-2.mga2
+ Revision: 223457
- Correct path to su (#3770).

* Wed Sep 28 2011 lebedov <lebedov> 1.2-1.mga2
+ Revision: 149682
- Update to 1.2.

* Tue Mar 08 2011 ennael <ennael> 0.6-2.mga1
+ Revision: 66497
- imported package mercurial-server


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.6-2mdv2011.0
+ Revision: 592414
- rebuild for python 2.7

* Fri Jul 24 2009 Lev Givon <lev@mandriva.org> 0.6-1mdv2010.0
+ Revision: 399525
- imported package mercurial-server


